package com.mortals.xhx.module.print.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.print.model.vo.PrintCatalogVo;
/**
* 证照目录打印配置实体对象
*
* @author zxfei
* @date 2022-11-21
*/

public class PrintCatalogEntity extends PrintCatalogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 打印机名称
    */
    private String printerName;
    /**
    * 打印机网络地址
    */
    private String printerIp;
    /**
    * 打印机纸盒
    */
    private String paperSource;
    /**
    * 打印服务配置ID
    */
    private Long serviceId;



    public PrintCatalogEntity(){}
    /**
    * 获取 证照目录ID
    * @return Long
    */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
    * 设置 证照目录ID
    * @param catalogId
    */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }
    /**
    * 获取 证照目录编号
    * @return String
    */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
    * 设置 证照目录编号
    * @param catalogCode
    */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
    * 获取 目录名称
    * @return String
    */
    public String getCatalogName(){
        return catalogName;
    }
    /**
    * 设置 目录名称
    * @param catalogName
    */
    public void setCatalogName(String catalogName){
        this.catalogName = catalogName;
    }
    /**
    * 获取 打印机名称
    * @return String
    */
    public String getPrinterName(){
        return printerName;
    }
    /**
    * 设置 打印机名称
    * @param printerName
    */
    public void setPrinterName(String printerName){
        this.printerName = printerName;
    }
    /**
    * 获取 打印机网络地址
    * @return String
    */
    public String getPrinterIp(){
        return printerIp;
    }
    /**
    * 设置 打印机网络地址
    * @param printerIp
    */
    public void setPrinterIp(String printerIp){
        this.printerIp = printerIp;
    }
    /**
    * 获取 打印机纸盒
    * @return String
    */
    public String getPaperSource(){
        return paperSource;
    }
    /**
    * 设置 打印机纸盒
    * @param paperSource
    */
    public void setPaperSource(String paperSource){
        this.paperSource = paperSource;
    }
    /**
    * 获取 打印服务配置ID
    * @return Long
    */
    public Long getServiceId(){
        return serviceId;
    }
    /**
    * 设置 打印服务配置ID
    * @param serviceId
    */
    public void setServiceId(Long serviceId){
        this.serviceId = serviceId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PrintCatalogEntity) {
            PrintCatalogEntity tmp = (PrintCatalogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogId:").append(getCatalogId());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",catalogName:").append(getCatalogName());
        sb.append(",printerName:").append(getPrinterName());
        sb.append(",printerIp:").append(getPrinterIp());
        sb.append(",paperSource:").append(getPaperSource());
        sb.append(",serviceId:").append(getServiceId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.catalogId = null;

            this.catalogCode = "";

            this.catalogName = "";

            this.printerName = "";

            this.printerIp = "";

            this.paperSource = "";

            this.serviceId = null;
    }
}