package com.mortals.xhx.module.record.service.impl;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.common.code.CertificateStatus;
import com.mortals.xhx.common.code.ClassifyType;
import com.mortals.xhx.common.code.PrintStatus;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.certificate.model.CertificateCatalogEntity;
import com.mortals.xhx.module.certificate.model.CertificateClassifyEntity;
import com.mortals.xhx.module.certificate.service.CertificateCatalogService;
import com.mortals.xhx.module.certificate.service.CertificateClassifyService;
import com.mortals.xhx.module.record.model.ApplyLogEntity;
import com.mortals.xhx.module.record.model.ApplyLogQuery;
import com.mortals.xhx.module.record.model.PrintLogQuery;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.record.dao.PrintLogDao;
import com.mortals.xhx.module.record.model.PrintLogEntity;
import com.mortals.xhx.module.record.service.PrintLogService;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
* PrintLogService
* 证照打印记录 service实现
*
* @author zxfei
* @date 2022-10-14
*/
@Service("printLogService")
public class PrintLogServiceImpl extends AbstractCRUDServiceImpl<PrintLogDao, PrintLogEntity, Long> implements PrintLogService {

    @Override
    protected PrintLogEntity findBefore(PrintLogEntity entity, PageInfo pageInfo, Context context) throws AppException {
        PrintLogQuery query = new PrintLogQuery();
        BeanUtils.copyProperties(entity,query);
        if(StringUtils.isNotEmpty(entity.getQuery())){
            StringBuffer condition = new StringBuffer("%");
            condition.append(entity.getQuery()).append("%");
            PrintLogQuery condition1 = new PrintLogQuery();
            PrintLogQuery condition2 = new PrintLogQuery();
            condition1.setEnterpriseName(condition.toString());
            condition2.setPickerName(condition.toString());
            List<PrintLogQuery> orConditionList = new ArrayList<>();
            orConditionList.add(condition1);
            orConditionList.add(condition2);
            query.setOrConditionList(orConditionList);
        }
        return query;
    }
}